#ifndef __ENDGAME_H
#define __ENDGAME_H

/********************** imports *************************/
#include "player3.h"

/********************** defines *************************/
#define TREEFILE "tree.txt"

/***************** data structures **********************/
struct endlib{
  char id;
  struct endlib * neighbor;
  struct endlib * child;
  char steps[3];//from/to/how many steps have to go
};

/**************** global variables **********************/
struct endlib * root;

/**************** function prototypes *******************/
//void endtest(void);
void endgameplayer(char posC[2][10]);
void endgameinit(void);
void readendtree(void);
void killsubtree(struct endlib * subroot);
void showsubtree(struct endlib * subroot);
struct endlib * solsearchext(char ownpos[10]);

#endif